include(confBUILDTOOLSDIR`/M4/switch.m4')


define(`confMT', `TRUE')
define(`confREQUIRE_LIBSM', `true')

APPENDDEF(`confLIBS', `-lssl -lcrypto')
dnl Enable and edit these paths as needed:
dnl APPENDDEF(`confINCDIRS', `-I/usr/local/ssl/include ')
dnl APPENDDEF(`confLIBDIRS', `-L/usr/local/ssl/lib ')

dnl For _FFR_QUERY_CACHE or POPAUTH, enable and edit these as needed:
dnl APPENDDEF(`confINCDIRS', `-I/usr/local/BerkeleyDB/include ')
dnl APPENDDEF(`confLIBDIRS', `-L/usr/local/BerkeleyDB/lib ')
dnl APPENDDEF(`confLIBS', `-ldb ')

dnl If you want to do POP before SMTP:
dnl APPENDDEF(`confENVDEF', `-DPOPAUTH ')

dnl To use the asynchronous resolver library provided, enable this line:
dnl bldPUSH_SMLIB(`ar')

bldPUSH_SMLIB(`dkim')
APPENDDEF(`confINCDIRS', `-I../libdkim/ ')

dnl If you also want to verify messages signed with DomainKeys,
dnl enable these lines.  See also the README as it requires an additional
dnl library not included in this package.
dnl APPENDDEF(`confENVDEF', `-DVERIFY_DOMAINKEYS ')
dnl bldPUSH_SMLIB(`dk')
dnl APPENDDEF(`confINCDIRS', `-I../libdk/ ')

bldPUSH_SMLIB(`sm')

dnl Enable these next line if needed to specify the locations of libmilter.a
dnl and the libmilter include files:
dnl APPENDDEF(`confINCDIRS', `-I/usr/local/sendmail/include')
dnl APPENDDEF(`confLIBDIRS', `-L/usr/local/sendmail/lib')


dnl Enable for IPv6 support:
dnl APPENDDEF(`confENVDEF', `-DNETINET6 ')

dnl Compile time options, especially FFRs:
dnl APPENDDEF(`confENVDEF', `-DNO_SMFI_INSHEADER ')

dnl APPENDDEF(`confENVDEF', `-D_FFR_ALLMAN_SSP_02 ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_ANTICIPATE_SENDMAIL_MUNGE ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_CAPTURE_UNKNOWN_ERRORS ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_FLUSH_HEADERS ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_LOG_SSL_ERRORS ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_MULTIPLE_KEYS ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_OMIT_HEADERS ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_QUARANTINE ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_QUERY_CACHE ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_REPORTINFO ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_REQUIRED_HEADERS ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_SELECT_CANONICALIZATION ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_SELECT_SIGN_HEADERS ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_SET_DNS_CALLBACK ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_SET_REPLY ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_STATS ')
dnl APPENDDEF(`confENVDEF', `-D_FFR_VBR ')

bldPRODUCT_START(`executable', `dkim-filter')
define(`bldSOURCES', `config.c dkim-filter.c stats.c util.c ')
PREPENDDEF(`confLIBS', ifelse(index(confENVDEF, `-DCOMMERCIAL'), -1, `-lmilter ', `../libmilter/libmilter.a '))
bldPRODUCT_END

ifelse(index(confENVDEF, `-D_FFR_STATS'), -1, `', `
bldPRODUCT_START(`executable', `dkim-stats')
define(`bldSOURCES', `dkim-stats.c ')
bldPRODUCT_END
')

bldPRODUCT_START(`manpage', `dkim-filter')
define(`bldSOURCES', `dkim-filter.8')
bldPRODUCT_END

bldFINISH
